Closed Bug 1476724 Opened 3 years ago Closed 3 years ago

Intermittent css-ui-invalid/default-style/button.html == css-ui-invalid/default-style/button-ref.html | image comparison, max difference: 1, number of differing pixels: 1

Categories

(Core :: Layout: Form Controls, defect, P5)

defect

Tracking

()

RESOLVED FIXED
mozilla63
Tracking Status
firefox63 --- fixed

People

(Reporter: intermittent-bug-filer, Assigned: rhunt)

References

Details

(Keywords: intermittent-failure, Whiteboard: [TV-bf pass:pass][retriggered][stockwell needswork])

Attachments

(1 file)

Filed by: cbrindusan [at] mozilla.com

https://treeherder.mozilla.org/logviewer.html#?job_id=188787484&repo=mozilla-inbound

https://queue.taskcluster.net/v1/task/OyZDhFBcSr-Bmv6U5O9bvQ/runs/0/artifacts/public/logs/live_backing.log

https://hg.mozilla.org/mozilla-central/raw-file/tip/layout/tools/reftest/reftest-analyzer.xhtml#logurl=https://queue.taskcluster.net/v1/task/OyZDhFBcSr-Bmv6U5O9bvQ/runs/0/artifacts/public/logs/live_backing.log&only_show_unexpected=1

[task 2018-07-18T17:15:45.952Z] 17:15:45     INFO - REFTEST TEST-START | file:///builds/worker/workspace/build/tests/reftest/tests/layout/reftests/css-ui-invalid/default-style/button.html == file:///builds/worker/workspace/build/tests/reftest/tests/layout/reftests/css-ui-invalid/default-style/button-ref.html
[task 2018-07-18T17:15:45.953Z] 17:15:45     INFO - REFTEST TEST-LOAD | file:///builds/worker/workspace/build/tests/reftest/tests/layout/reftests/css-ui-invalid/default-style/button.html | 1 / 10 (10%)
[task 2018-07-18T17:15:45.979Z] 17:15:45     INFO - ++DOMWINDOW == 34 (0xd5e7f400) [pid = 2330] [serial = 34] [outer = 0xd905d2e0]
[task 2018-07-18T17:15:46.037Z] 17:15:46     INFO - [2330, Main Thread] WARNING: NS_ENSURE_SUCCESS(rv, rv) failed with result 0x80004005: file /builds/worker/workspace/build/src/dom/base/nsContentUtils.cpp, line 4005
[task 2018-07-18T17:15:46.188Z] 17:15:46     INFO - REFTEST TEST-LOAD | file:///builds/worker/workspace/build/tests/reftest/tests/layout/reftests/css-ui-invalid/default-style/button-ref.html | 1 / 10 (10%)
[task 2018-07-18T17:15:46.209Z] 17:15:46     INFO - ++DOMWINDOW == 35 (0xd854c800) [pid = 2330] [serial = 35] [outer = 0xd905d2e0]
[task 2018-07-18T17:15:46.482Z] 17:15:46     INFO - REFTEST TEST-UNEXPECTED-FAIL | file:///builds/worker/workspace/build/tests/reftest/tests/layout/reftests/css-ui-invalid/default-style/button.html == file:///builds/worker/workspace/build/tests/reftest/tests/layout/reftests/css-ui-invalid/default-style/button-ref.html | image comparison, max difference: 1, number of differing pixels: 1
There have been 46 failures since the bug was filed, on linux32 debug.

Recent failure log:
https://treeherder.mozilla.org/logviewer.html#?job_id=189772380&repo=autoland&lineNumber=9711

[task 2018-07-24T12:47:00.538Z] 12:47:00     INFO - REFTEST TEST-START | file:///builds/worker/workspace/build/tests/reftest/tests/layout/reftests/css-ui-invalid/default-style/button.html == file:///builds/worker/workspace/build/tests/reftest/tests/layout/reftests/css-ui-invalid/default-style/button-ref.html
[task 2018-07-24T12:47:00.540Z] 12:47:00     INFO - REFTEST TEST-LOAD | file:///builds/worker/workspace/build/tests/reftest/tests/layout/reftests/css-ui-invalid/default-style/button.html | 1 / 10 (10%)
[task 2018-07-24T12:47:00.570Z] 12:47:00     INFO - ++DOMWINDOW == 34 (0xd6f09000) [pid = 2280] [serial = 34] [outer = 0xdd659540]
[task 2018-07-24T12:47:00.627Z] 12:47:00     INFO - [2280, Main Thread] WARNING: NS_ENSURE_SUCCESS(rv, rv) failed with result 0x80004005: file /builds/worker/workspace/build/src/dom/base/nsContentUtils.cpp, line 4004
[task 2018-07-24T12:47:00.762Z] 12:47:00     INFO - REFTEST TEST-LOAD | file:///builds/worker/workspace/build/tests/reftest/tests/layout/reftests/css-ui-invalid/default-style/button-ref.html | 1 / 10 (10%)
[task 2018-07-24T12:47:00.787Z] 12:47:00     INFO - ++DOMWINDOW == 35 (0xd6f08000) [pid = 2280] [serial = 35] [outer = 0xdd659540]
[task 2018-07-24T12:47:01.059Z] 12:47:01     INFO - REFTEST TEST-UNEXPECTED-FAIL | file:///builds/worker/workspace/build/tests/reftest/tests/layout/reftests/css-ui-invalid/default-style/button.html == file:///builds/worker/workspace/build/tests/reftest/tests/layout/reftests/css-ui-invalid/default-style/button-ref.html | image comparison, max difference: 1, number of differing pixels: 1
Whiteboard: [TV-bf pass:pass][retriggered] → [TV-bf pass:pass][retriggered][stockwell needswork]
This looks to be an intermittent fuzziness change from enabling tiling on linux that I missed. We should just mark it fuzzy.
Flags: needinfo?(rhunt)
Attachment #8994672 - Flags: review?(nical.bugzilla) → review?(jmuizelaar)
Comment on attachment 8994672 [details]
Bug 1476724 - Mark default-style/button.html as fuzzy on debug linux.

https://reviewboard.mozilla.org/r/259186/#review267008
Attachment #8994672 - Flags: review?(jmuizelaar) → review+
Pushed by rhunt@eqrion.net:
https://hg.mozilla.org/integration/autoland/rev/24cf07cf024e
Mark default-style/button.html as fuzzy on debug linux. r=jrmuizel
https://hg.mozilla.org/mozilla-central/rev/24cf07cf024e
Status: NEW → RESOLVED
Closed: 3 years ago
Resolution: --- → FIXED
Target Milestone: --- → mozilla63
Fail reappeared on inbound.

Log link: https://treeherder.mozilla.org/logviewer.html#?job_id=190753084&repo=mozilla-inbound&lineNumber=10361
Status: RESOLVED → REOPENED
Flags: needinfo?(jmuizelaar)
Resolution: FIXED → ---
This is still happening.

Recent failure: https://treeherder.mozilla.org/logviewer.html#?job_id=190753084&repo=mozilla-inbound&lineNumber=10361

[task 2018-07-29T01:34:11.402Z] 01:34:11     INFO - REFTEST TEST-LOAD | file:///builds/worker/workspace/build/tests/reftest/tests/layout/reftests/css-ui-invalid/default-style/button-ref.html | 1 / 10 (10%)
[task 2018-07-29T01:34:11.425Z] 01:34:11     INFO - ++DOMWINDOW == 35 (0xdeab5800) [pid = 1984] [serial = 35] [outer = 0xdf945540]
[task 2018-07-29T01:34:11.686Z] 01:34:11     INFO - REFTEST TEST-UNEXPECTED-FAIL | file:///builds/worker/workspace/build/tests/reftest/tests/layout/reftests/css-ui-invalid/default-style/button.html == file:///builds/worker/workspace/build/tests/reftest/tests/layout/reftests/css-ui-invalid/default-style/button-ref.html | image comparison, max difference: 1, number of differing pixels: 1
[task 2018-07-29T01:34:11.687Z] 01:34:11     INFO - REFTEST   IMAGE 1 (TEST): data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAA
[task 2018-07-29T01:34:11.689Z] 01:34:11     INFO - REFTEST   IMAGE 2 (REFERENCE): data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAyAAAAPoCA
[task 2018-07-29T01:34:11.690Z] 01:34:11     INFO - REFTEST INFO | Saved log: START file:///builds/worker/workspace/build/tests/reftest/tests/layout/reftests/css-ui-invalid/default-style/button.html
[task 2018-07-29T01:34:11.692Z] 01:34:11     INFO - REFTEST INFO | Saved log: [CONTENT] OnDocumentLoad triggering WaitForTestEnd
[task 2018-07-29T01:34:11.693Z] 01:34:11     INFO - REFTEST INFO | Saved log: [CONTENT] WaitForTestEnd: Adding listeners
[task 2018-07-29T01:34:11.696Z] 01:34:11     INFO - REFTEST INFO | Saved log: Initializing canvas snapshot
[task 2018-07-29T01:34:11.696Z] 01:34:11     INFO - REFTEST INFO | Saved log: DoDrawWindow 0,0,800,1000
[task 2018-07-29T01:34:11.697Z] 01:34:11     INFO - REFTEST INFO | Saved log: [CONTENT] MakeProgress: STATE_WAITING_TO_FIRE_INVALIDATE_EVENT
[task 2018-07-29T01:34:11.698Z] 01:34:11     INFO - REFTEST INFO | Saved log: [CONTENT] MakeProgress: waiting for MozAfterPaint
[task 2018-07-29T01:34:11.700Z] 01:34:11     INFO - REFTEST INFO | Saved log: [CONTENT] AfterPaintListener in file:///builds/worker/workspace/build/tests/reftest/tests/layout/reftests/css-ui-invalid/default-style/button.html
[task 2018-07-29T01:34:11.701Z] 01:34:11     INFO - REFTEST INFO | Saved log: [CONTENT] SendUpdateCanvasForEvent with 0 rects
[task 2018-07-29T01:34:11.702Z] 01:34:11     INFO - REFTEST INFO | Saved log: Updating canvas for invalidation
[task 2018-07-29T01:34:11.703Z] 01:34:11     INFO - REFTEST INFO | Saved log: [CONTENT] MakeProgress: STATE_WAITING_TO_FIRE_INVALIDATE_EVENT
[task 2018-07-29T01:34:11.703Z] 01:34:11     INFO - REFTEST INFO | Saved log: [CONTENT] MakeProgress: waiting for MozAfterPaint
[task 2018-07-29T01:34:11.707Z] 01:34:11     INFO - REFTEST INFO | Saved log: [CONTENT] AfterPaintListener in file:///builds/worker/workspace/build/tests/reftest/tests/layout/reftests/css-ui-invalid/default-style/button.html
[task 2018-07-29T01:34:11.708Z] 01:34:11     INFO - REFTEST INFO | Saved log: [CONTENT] SendUpdateCanvasForEvent with 1 rects
[task 2018-07-29T01:34:11.709Z] 01:34:11     INFO - REFTEST INFO | Saved log: [CONTENT] Rect: 0 0 800 1000
[task 2018-07-29T01:34:11.709Z] 01:34:11     INFO - REFTEST INFO | Saved log: Updating canvas for invalidation
[task 2018-07-29T01:34:11.710Z] 01:34:11     INFO - REFTEST INFO | Saved log: DoDrawWindow 0,0,800,1000
[task 2018-07-29T01:34:11.711Z] 01:34:11     INFO - REFTEST INFO | Saved log: [CONTENT] MakeProgress: STATE_WAITING_TO_FIRE_INVALIDATE_EVENT
[task 2018-07-29T01:34:11.711Z] 01:34:11     INFO - REFTEST INFO | Saved log: [CONTENT] MakeProgress: dispatching MozReftestInvalidate
[task 2018-07-29T01:34:11.712Z] 01:34:11     INFO - REFTEST INFO | Saved log: [CONTENT] MakeProgress: STATE_WAITING_FOR_REFTEST_WAIT_REMOVAL
[task 2018-07-29T01:34:11.713Z] 01:34:11     INFO - REFTEST INFO | Saved log: [CONTENT] MakeProgress: STATE_WAITING_FOR_SPELL_CHECKS
[task 2018-07-29T01:34:11.714Z] 01:34:11     INFO - REFTEST INFO | Saved log: [CONTENT] MakeProgress: STATE_WAITING_FOR_APZ_FLUSH
[task 2018-07-29T01:34:11.715Z] 01:34:11     INFO - REFTEST INFO | Saved log: [CONTENT] MakeProgress: APZ flush not required
[task 2018-07-29T01:34:11.716Z] 01:34:11     INFO - REFTEST INFO | Saved log: [CONTENT] MakeProgress: STATE_WAITING_TO_FINISH
[task 2018-07-29T01:34:11.718Z] 01:34:11     INFO - REFTEST INFO | Saved log: [CONTENT] MakeProgress: Completed
[task 2018-07-29T01:34:11.719Z] 01:34:11     INFO - REFTEST INFO | Saved log: [CONTENT] RecordResult fired
[task 2018-07-29T01:34:11.720Z] 01:34:11     INFO - REFTEST INFO | Saved log: RecordResult fired
[task 2018-07-29T01:34:11.720Z] 01:34:11     INFO - REFTEST INFO | Saved log: START file:///builds/worker/workspace/build/tests/reftest/tests/layout/reftests/css-ui-invalid/default-style/button-ref.html
[task 2018-07-29T01:34:11.721Z] 01:34:11     INFO - REFTEST INFO | Saved log: [CONTENT] OnDocumentLoad triggering AfterOnLoadScripts
[task 2018-07-29T01:34:11.722Z] 01:34:11     INFO - REFTEST INFO | Saved log: Initializing canvas snapshot
[task 2018-07-29T01:34:11.723Z] 01:34:11     INFO - REFTEST INFO | Saved log: DoDrawWindow 0,0,800,1000
[task 2018-07-29T01:34:11.723Z] 01:34:11     INFO - REFTEST INFO | Saved log: [CONTENT] RecordResult fired
[task 2018-07-29T01:34:11.724Z] 01:34:11     INFO - REFTEST INFO | Saved log: RecordResult fired
[task 2018-07-29T01:34:11.725Z] 01:34:11     INFO - REFTEST TEST-END | file:///builds/worker/workspace/build/tests/reftest/tests/layout/reftests/css-ui-invalid/default-style/button.html == file:///builds/worker/workspace/build/tests/reftest/tests/layout/reftests/css-ui-invalid/default-style/button-ref.html
[task 2018-07-29T01:34:11.726Z] 01:34:11     INFO - ++DOMWINDOW == 36 (0xdeabbc00) [pid = 1984] [serial = 36] [outer = 0xdf945540]
Flags: needinfo?(jmuizelaar) → needinfo?(rhunt)
Duplicate of this bug: 1479238
I marked 'layout/reftests/css-invalid/default-style/button.html' as fuzzy when I needed to mark 'layout/reftests/css-ui-invalid/default-style/button.html' as fuzzy. I'll put up a patch to fix this.
Flags: needinfo?(rhunt)
Pushed by rhunt@eqrion.net:
https://hg.mozilla.org/integration/mozilla-inbound/rev/49bd486c1bda
Follow up. Mark the css-ui-invalid/**/button.html as fuzzy, not css-invalid/**/button.html. r=me
https://hg.mozilla.org/mozilla-central/rev/49bd486c1bda
Status: REOPENED → RESOLVED
Closed: 3 years ago3 years ago
Resolution: --- → FIXED
Assignee: nobody → rhunt
You need to log in before you can comment on or make changes to this bug.